package com.education.common.enums;

/**
 * mq 消息消费状态枚举
 * @author zjt
 * @create_at 2022年11月22日 0022 09:44
 * @since 1.0.6
 */
public enum MqMessageStatusEnum {

    SEND_RUNNING(1, "消息发送中"),
    SEND_SUCCESS(2, "消息发送成功"),
    CONSUME_FAIL(3, "消息消费失败"),
    SEND_FAIL(4, "消息发送失败")
    ;


    private Integer code;
    private String name;

    MqMessageStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }
}
